

```

   ad88         88 88                                         88          88                                88                                            ad88
  d8"           88 88                                         ""          88                                ""              ,d                           d8"
  88            88 88                                                     88                                                88                           88
MM88MMM ,adPPYb,88 88,dPPYba,           ,adPPYba, 8b,dPPYba,  88  ,adPPYb,88  ,adPPYba, 8b,dPPYba,          88 8b,dPPYba, MM88MMM ,adPPYba, 8b,dPPYba, MM88MMM ,adPPYYba,  ,adPPYba,  ,adPPYba,
  88   a8"    `Y88 88P'    "8a aaaaaaaa I8[    "" 88P'    "8a 88 a8"    `Y88 a8P_____88 88P'   "Y8 aaaaaaaa 88 88P'   `"8a  88   a8P_____88 88P'   "Y8   88    ""     `Y8 a8"     "" a8P_____88
  88   8b       88 88       d8 """"""""  `"Y8ba,  88       d8 88 8b       88 8PP""""""" 88         """""""" 88 88       88  88   8PP""""""" 88           88    ,adPPPPP88 8b         8PP"""""""
  88   "8a,   ,d88 88b,   ,a8"          aa    ]8I 88b,   ,a8" 88 "8a,   ,d88 "8b,   ,aa 88                  88 88       88  88,  "8b,   ,aa 88           88    88,    ,88 "8a,   ,aa "8b,   ,aa
  88    `"8bbdP"Y8 8Y"Ybbd8"'           `"YbbdP"' 88`YbbdP"'  88  `"8bbdP"Y8  `"Ybbd8"' 88                  88 88       88  "Y888 `"Ybbd8"' 88           88    `"8bbdP"Y8  `"Ybbd8"'  `"Ybbd8"'
                                                  88
                                                  88                    
```

1. [Introduction](#introduction)
2. [Installation](#installation)
3. [Usage](#usage)
  *  [Important commands](#important-commands)

# Introduction

The fdb-spider-interface is an interface for the fdb-spider.
It is based on rocketchat, and displaying entries such as 
programming tag search can be done within any rocketchat client.

In future, the bot based code will migrate from rocketchat to 
matrix.

# Installation


To use this spider, you need to have a Rocketchat Server.

On your Rocketchat Server, create a new user with the role bot.
Put the right password and username in config.ini.
Create a private channel, add the bot to the channel, then run the code 

```
api = RocketChatAPI(settings={'username': botname, 'password': botpassword, 'domain': server_url})

rooms = api.get_private_rooms()

print(rooms)
```

From there, copy the room_id to
``` 
config.ini
```
which you want to be the room in which you talk to the interface bot.

For the bot_user_id run the commands
```
myinfo = api.get_my_info()
print(myinfo)
```


Information: It is important to change the settings for bots, otherwise with the standard rocketchat configuration
the fdb-spider-interface will get too many requests errors and stop 
working eventually.

# Usage


## Important Commands

There is actually only one important command to remember and that is

```
printcommands
```

That will output all available commands with explanations.

Generally, you can create new tag search "rooms" where the interface 
will run updates.
```
createroom
```
will create a room where you can monitor your custom tag based 
search outputs.
```
printrooms
```
will print all configured rooms, 
```
addtags 
```
will add tags to the tag search of a specific room, etc.

Specify the update interval and time in config.ini, and choose it 
appropriate to your updates you give to the fdb-spider output (by running
the fdb-spider for example once a week with cron)



